# GstNavigation

The Navigation interface is used for creating and injecting navigation related events such as mouse button presses, cursor motion and key presses. The associated library also provides methods for parsing received events, and for sending and receiving navigation related bus events. One main usecase is DVD menu navigation.

The main parts of the API are:

- The GstNavigation interface, implemented by elements which provide an application with the ability to create and inject navigation events into the pipeline.

- GstNavigation event handling API. GstNavigation events are created in response to calls on a GstNavigation interface implementation, and sent in the pipeline. Upstream elements can use the navigation event API functions to parse the contents of received messages.

- GstNavigation message handling API. GstNavigation messages may be sent on the message bus to inform applications of navigation related changes in the pipeline, such as the mouse moving over a clickable region, or the set of available angles changing.

The GstNavigation message functions provide functions for creating and parsing custom bus messages for signaling GstNavigation changes.

## GstNavigation

## GstVideo.Navigation

### Methods

#### gst_navigation_send_command

    gst_navigation_send_command (GstNavigation * navigation,
                                 GstNavigationCommand command)

Sends the indicated command to the navigation interface.

Parameters:

`navigation` –

The navigation interface instance

`command` –

The command to issue

#### GstVideo.Navigation.prototype.send_command

    function GstVideo.Navigation.prototype.send_command(command: GstVideo.NavigationCommand): {
        // javascript wrapper for 'gst_navigation_send_command'
    }

Sends the indicated command to the navigation interface.

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`command` (GstVideo.NavigationCommand) –

The command to issue

#### GstVideo.Navigation.send_command

    def GstVideo.Navigation.send_command (self, command):
        #python wrapper for 'gst_navigation_send_command'

Sends the indicated command to the navigation interface.

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`command` (GstVideo.NavigationCommand) –

The command to issue

#### gst_navigation_send_event

    gst_navigation_send_event (GstNavigation * navigation,
                               GstStructure * structure)

Parameters:

`navigation` –
No description available
`structure` –
No description available

#### GstVideo.Navigation.prototype.send_event

    function GstVideo.Navigation.prototype.send_event(structure: Gst.Structure): {
        // javascript wrapper for 'gst_navigation_send_event'
    }

Parameters:

`navigation` (GstVideo.Navigation) –
No description available
`structure` (Gst.Structure) –
No description available

#### GstVideo.Navigation.send_event

    def GstVideo.Navigation.send_event (self, structure):
        #python wrapper for 'gst_navigation_send_event'

Parameters:

`navigation` (GstVideo.Navigation) –
No description available
`structure` (Gst.Structure) –
No description available

#### gst_navigation_send_event_simple

    gst_navigation_send_event_simple (GstNavigation * navigation,
                                      GstEvent * event)

Sends an event to the navigation interface.

Parameters:

`navigation` –

The navigation interface instance

`event` ( [transfer: full]) –

The event to send

Since : 1.22

#### GstVideo.Navigation.prototype.send_event_simple

    function GstVideo.Navigation.prototype.send_event_simple(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_send_event_simple'
    }

Sends an event to the navigation interface.

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`event` (Gst.Event) –

The event to send

Since : 1.22

#### GstVideo.Navigation.send_event_simple

    def GstVideo.Navigation.send_event_simple (self, event):
        #python wrapper for 'gst_navigation_send_event_simple'

Sends an event to the navigation interface.

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`event` (Gst.Event) –

The event to send

Since : 1.22

#### gst_navigation_send_key_event

    gst_navigation_send_key_event (GstNavigation * navigation,
                                   const char* event,
                                   const char* key)

Parameters:

`navigation` –

The navigation interface instance

`event` –

The type of the key event. Recognised values are "key-press" and "key-release"

`key` –

Character representation of the key. This is typically as produced by XKeysymToString.

#### GstVideo.Navigation.prototype.send_key_event

    function GstVideo.Navigation.prototype.send_key_event(event: String, key: String): {
        // javascript wrapper for 'gst_navigation_send_key_event'
    }

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`event` (String) –

The type of the key event. Recognised values are "key-press" and "key-release"

`key` (String) –

Character representation of the key. This is typically as produced by XKeysymToString.

#### GstVideo.Navigation.send_key_event

    def GstVideo.Navigation.send_key_event (self, event, key):
        #python wrapper for 'gst_navigation_send_key_event'

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`event` (str) –

The type of the key event. Recognised values are "key-press" and "key-release"

`key` (str) –

Character representation of the key. This is typically as produced by XKeysymToString.

#### gst_navigation_send_mouse_event

    gst_navigation_send_mouse_event (GstNavigation * navigation,
                                     const char* event,
                                     int button,
                                     double x,
                                     double y)

Sends a mouse event to the navigation interface. Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the GstNavigation interface.

Parameters:

`navigation` –

The navigation interface instance

`event` –

The type of mouse event, as a text string. Recognised values are "mouse-button-press", "mouse-button-release", "mouse-move" and "mouse-double-click".

`button` –

The button number of the button being pressed or released. Pass 0 for mouse-move events.

`x` –

The x coordinate of the mouse event.

`y` –

The y coordinate of the mouse event.

#### GstVideo.Navigation.prototype.send_mouse_event

    function GstVideo.Navigation.prototype.send_mouse_event(event: String, button: Number, x: Number, y: Number): {
        // javascript wrapper for 'gst_navigation_send_mouse_event'
    }

Sends a mouse event to the navigation interface. Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the GstVideo.Navigation interface.

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`event` (String) –

The type of mouse event, as a text string. Recognised values are "mouse-button-press", "mouse-button-release", "mouse-move" and "mouse-double-click".

`button` (Number) –

The button number of the button being pressed or released. Pass 0 for mouse-move events.

`x` (Number) –

The x coordinate of the mouse event.

`y` (Number) –

The y coordinate of the mouse event.

#### GstVideo.Navigation.send_mouse_event

    def GstVideo.Navigation.send_mouse_event (self, event, button, x, y):
        #python wrapper for 'gst_navigation_send_mouse_event'

Sends a mouse event to the navigation interface. Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the GstVideo.Navigation interface.

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`event` (str) –

The type of mouse event, as a text string. Recognised values are "mouse-button-press", "mouse-button-release", "mouse-move" and "mouse-double-click".

`button` (int) –

The button number of the button being pressed or released. Pass 0 for mouse-move events.

`x` (float) –

The x coordinate of the mouse event.

`y` (float) –

The y coordinate of the mouse event.

#### gst_navigation_send_mouse_scroll_event

    gst_navigation_send_mouse_scroll_event (GstNavigation * navigation,
                                            double x,
                                            double y,
                                            double delta_x,
                                            double delta_y)

Sends a mouse scroll event to the navigation interface. Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the GstNavigation interface.

Parameters:

`navigation` –

The navigation interface instance

`x` –

The x coordinate of the mouse event.

`y` –

The y coordinate of the mouse event.

`delta_x` –

The delta_x coordinate of the mouse event.

`delta_y` –

The delta_y coordinate of the mouse event.

Since : 1.18

#### GstVideo.Navigation.prototype.send_mouse_scroll_event

    function GstVideo.Navigation.prototype.send_mouse_scroll_event(x: Number, y: Number, delta_x: Number, delta_y: Number): {
        // javascript wrapper for 'gst_navigation_send_mouse_scroll_event'
    }

Sends a mouse scroll event to the navigation interface. Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the GstVideo.Navigation interface.

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`x` (Number) –

The x coordinate of the mouse event.

`y` (Number) –

The y coordinate of the mouse event.

`delta_x` (Number) –

The delta_x coordinate of the mouse event.

`delta_y` (Number) –

The delta_y coordinate of the mouse event.

Since : 1.18

#### GstVideo.Navigation.send_mouse_scroll_event

    def GstVideo.Navigation.send_mouse_scroll_event (self, x, y, delta_x, delta_y):
        #python wrapper for 'gst_navigation_send_mouse_scroll_event'

Sends a mouse scroll event to the navigation interface. Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the GstVideo.Navigation interface.

Parameters:

`navigation` (GstVideo.Navigation) –

The navigation interface instance

`x` (float) –

The x coordinate of the mouse event.

`y` (float) –

The y coordinate of the mouse event.

`delta_x` (float) –

The delta_x coordinate of the mouse event.

`delta_y` (float) –

The delta_y coordinate of the mouse event.

Since : 1.18

### Functions

#### gst_navigation_event_get_coordinates

    gboolean
    gst_navigation_event_get_coordinates (GstEvent * event,
                                          gdouble * x,
                                          gdouble * y)

Try to retrieve x and y coordinates of a GstNavigation event.

Parameters:

`event` –

The GstEvent to inspect.

`x` ( [out][optional]) –

Pointer to a gdouble to receive the x coordinate of the navigation event.

`y` ( [out][optional]) –

Pointer to a gdouble to receive the y coordinate of the navigation event.

Returns –

A boolean indicating success.

Since : 1.22

#### GstVideo.prototype.navigation_event_get_coordinates

    function GstVideo.prototype.navigation_event_get_coordinates(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_get_coordinates'
    }

Try to retrieve x and y coordinates of a GstVideo.Navigation event.

Parameters:

`event` (Gst.Event) –

The Gst.Event to inspect.

Returns a tuple made of:

(Number ) –

A boolean indicating success.

`x` (Number ) –

A boolean indicating success.

`y` (Number ) –

A boolean indicating success.

Since : 1.22

#### GstVideo.navigation_event_get_coordinates

    def GstVideo.navigation_event_get_coordinates (event):
        #python wrapper for 'gst_navigation_event_get_coordinates'

Try to retrieve x and y coordinates of a GstVideo.Navigation event.

Parameters:

`event` (Gst.Event) –

The Gst.Event to inspect.

Returns a tuple made of:

(bool ) –

A boolean indicating success.

`x` (float ) –

A boolean indicating success.

`y` (float ) –

A boolean indicating success.

Since : 1.22

#### gst_navigation_event_get_type

    GstNavigationEventType
    gst_navigation_event_get_type (GstEvent * event)

Inspect a GstEvent and return the GstNavigationEventType of the event, or GST_NAVIGATION_EVENT_INVALID if the event is not a GstNavigation event.

Parameters:

`event` –

A GstEvent to inspect.

Returns –
No description available

#### GstVideo.prototype.navigation_event_get_type

    function GstVideo.prototype.navigation_event_get_type(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_get_type'
    }

Inspect a Gst.Event and return the GstVideo.NavigationEventType of the event, or GstVideo.NavigationEventType.INVALID if the event is not a GstVideo.Navigation event.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns (GstVideo.NavigationEventType) –
No description available

#### GstVideo.navigation_event_get_type

    def GstVideo.navigation_event_get_type (event):
        #python wrapper for 'gst_navigation_event_get_type'

Inspect a Gst.Event and return the GstVideo.NavigationEventType of the event, or GstVideo.NavigationEventType.INVALID if the event is not a GstVideo.Navigation event.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns (GstVideo.NavigationEventType) –
No description available

#### gst_navigation_event_new_command

    GstEvent *
    gst_navigation_event_new_command (GstNavigationCommand command)

Create a new navigation event given navigation command..

Parameters:

`command` –

The navigation command to use.

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_command

    function GstVideo.prototype.navigation_event_new_command(command: GstVideo.NavigationCommand): {
        // javascript wrapper for 'gst_navigation_event_new_command'
    }

Create a new navigation event given navigation command..

Parameters:

`command` (GstVideo.NavigationCommand) –

The navigation command to use.

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_command

    def GstVideo.navigation_event_new_command (command):
        #python wrapper for 'gst_navigation_event_new_command'

Create a new navigation event given navigation command..

Parameters:

`command` (GstVideo.NavigationCommand) –

The navigation command to use.

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_key_press

    GstEvent *
    gst_navigation_event_new_key_press (const gchar * key,
                                        GstNavigationModifierType state)

Create a new navigation event for the given key press.

Parameters:

`key` –

A string identifying the key press.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_key_press

    function GstVideo.prototype.navigation_event_new_key_press(key: String, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_key_press'
    }

Create a new navigation event for the given key press.

Parameters:

`key` (String) –

A string identifying the key press.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_key_press

    def GstVideo.navigation_event_new_key_press (key, state):
        #python wrapper for 'gst_navigation_event_new_key_press'

Create a new navigation event for the given key press.

Parameters:

`key` (str) –

A string identifying the key press.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_key_release

    GstEvent *
    gst_navigation_event_new_key_release (const gchar * key,
                                          GstNavigationModifierType state)

Create a new navigation event for the given key release.

Parameters:

`key` –

A string identifying the released key.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_key_release

    function GstVideo.prototype.navigation_event_new_key_release(key: String, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_key_release'
    }

Create a new navigation event for the given key release.

Parameters:

`key` (String) –

A string identifying the released key.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_key_release

    def GstVideo.navigation_event_new_key_release (key, state):
        #python wrapper for 'gst_navigation_event_new_key_release'

Create a new navigation event for the given key release.

Parameters:

`key` (str) –

A string identifying the released key.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_mouse_button_press

    GstEvent *
    gst_navigation_event_new_mouse_button_press (gint button,
                                                 gdouble x,
                                                 gdouble y,
                                                 GstNavigationModifierType state)

Create a new navigation event for the given key mouse button press.

Parameters:

`button` –

The number of the pressed mouse button.

`x` –

The x coordinate of the mouse cursor.

`y` –

The y coordinate of the mouse cursor.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_mouse_button_press

    function GstVideo.prototype.navigation_event_new_mouse_button_press(button: Number, x: Number, y: Number, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_mouse_button_press'
    }

Create a new navigation event for the given key mouse button press.

Parameters:

`button` (Number) –

The number of the pressed mouse button.

`x` (Number) –

The x coordinate of the mouse cursor.

`y` (Number) –

The y coordinate of the mouse cursor.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_mouse_button_press

    def GstVideo.navigation_event_new_mouse_button_press (button, x, y, state):
        #python wrapper for 'gst_navigation_event_new_mouse_button_press'

Create a new navigation event for the given key mouse button press.

Parameters:

`button` (int) –

The number of the pressed mouse button.

`x` (float) –

The x coordinate of the mouse cursor.

`y` (float) –

The y coordinate of the mouse cursor.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_mouse_button_release

    GstEvent *
    gst_navigation_event_new_mouse_button_release (gint button,
                                                   gdouble x,
                                                   gdouble y,
                                                   GstNavigationModifierType state)

Create a new navigation event for the given key mouse button release.

Parameters:

`button` –

The number of the released mouse button.

`x` –

The x coordinate of the mouse cursor.

`y` –

The y coordinate of the mouse cursor.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_mouse_button_release

    function GstVideo.prototype.navigation_event_new_mouse_button_release(button: Number, x: Number, y: Number, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_mouse_button_release'
    }

Create a new navigation event for the given key mouse button release.

Parameters:

`button` (Number) –

The number of the released mouse button.

`x` (Number) –

The x coordinate of the mouse cursor.

`y` (Number) –

The y coordinate of the mouse cursor.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_mouse_button_release

    def GstVideo.navigation_event_new_mouse_button_release (button, x, y, state):
        #python wrapper for 'gst_navigation_event_new_mouse_button_release'

Create a new navigation event for the given key mouse button release.

Parameters:

`button` (int) –

The number of the released mouse button.

`x` (float) –

The x coordinate of the mouse cursor.

`y` (float) –

The y coordinate of the mouse cursor.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_mouse_double_click

    GstEvent *
    gst_navigation_event_new_mouse_double_click (gint button,
                                                 gdouble x,
                                                 gdouble y,
                                                 GstNavigationModifierType state)

Create a new navigation event for the given key mouse double click.

Parameters:

`button` –

The number of the pressed mouse button.

`x` –

The x coordinate of the mouse cursor.

`y` –

The y coordinate of the mouse cursor.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.26

#### GstVideo.prototype.navigation_event_new_mouse_double_click

    function GstVideo.prototype.navigation_event_new_mouse_double_click(button: Number, x: Number, y: Number, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_mouse_double_click'
    }

Create a new navigation event for the given key mouse double click.

Parameters:

`button` (Number) –

The number of the pressed mouse button.

`x` (Number) –

The x coordinate of the mouse cursor.

`y` (Number) –

The y coordinate of the mouse cursor.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.26

#### GstVideo.navigation_event_new_mouse_double_click

    def GstVideo.navigation_event_new_mouse_double_click (button, x, y, state):
        #python wrapper for 'gst_navigation_event_new_mouse_double_click'

Create a new navigation event for the given key mouse double click.

Parameters:

`button` (int) –

The number of the pressed mouse button.

`x` (float) –

The x coordinate of the mouse cursor.

`y` (float) –

The y coordinate of the mouse cursor.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.26

#### gst_navigation_event_new_mouse_move

    GstEvent *
    gst_navigation_event_new_mouse_move (gdouble x,
                                         gdouble y,
                                         GstNavigationModifierType state)

Create a new navigation event for the new mouse location.

Parameters:

`x` –

The x coordinate of the mouse cursor.

`y` –

The y coordinate of the mouse cursor.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_mouse_move

    function GstVideo.prototype.navigation_event_new_mouse_move(x: Number, y: Number, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_mouse_move'
    }

Create a new navigation event for the new mouse location.

Parameters:

`x` (Number) –

The x coordinate of the mouse cursor.

`y` (Number) –

The y coordinate of the mouse cursor.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_mouse_move

    def GstVideo.navigation_event_new_mouse_move (x, y, state):
        #python wrapper for 'gst_navigation_event_new_mouse_move'

Create a new navigation event for the new mouse location.

Parameters:

`x` (float) –

The x coordinate of the mouse cursor.

`y` (float) –

The y coordinate of the mouse cursor.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_mouse_scroll

    GstEvent *
    gst_navigation_event_new_mouse_scroll (gdouble x,
                                           gdouble y,
                                           gdouble delta_x,
                                           gdouble delta_y,
                                           GstNavigationModifierType state)

Create a new navigation event for the mouse scroll.

Parameters:

`x` –

The x coordinate of the mouse cursor.

`y` –

The y coordinate of the mouse cursor.

`delta_x` –

The x component of the scroll movement.

`delta_y` –

The y component of the scroll movement.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_mouse_scroll

    function GstVideo.prototype.navigation_event_new_mouse_scroll(x: Number, y: Number, delta_x: Number, delta_y: Number, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_mouse_scroll'
    }

Create a new navigation event for the mouse scroll.

Parameters:

`x` (Number) –

The x coordinate of the mouse cursor.

`y` (Number) –

The y coordinate of the mouse cursor.

`delta_x` (Number) –

The x component of the scroll movement.

`delta_y` (Number) –

The y component of the scroll movement.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_mouse_scroll

    def GstVideo.navigation_event_new_mouse_scroll (x, y, delta_x, delta_y, state):
        #python wrapper for 'gst_navigation_event_new_mouse_scroll'

Create a new navigation event for the mouse scroll.

Parameters:

`x` (float) –

The x coordinate of the mouse cursor.

`y` (float) –

The y coordinate of the mouse cursor.

`delta_x` (float) –

The x component of the scroll movement.

`delta_y` (float) –

The y component of the scroll movement.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_touch_cancel

    GstEvent *
    gst_navigation_event_new_touch_cancel (GstNavigationModifierType state)

Create a new navigation event signalling that all currently active touch points are cancelled and should be discarded. For example, under Wayland this event might be sent when a swipe passes the threshold to be recognized as a gesture by the compositor.

Parameters:

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_touch_cancel

    function GstVideo.prototype.navigation_event_new_touch_cancel(state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_touch_cancel'
    }

Create a new navigation event signalling that all currently active touch points are cancelled and should be discarded. For example, under Wayland this event might be sent when a swipe passes the threshold to be recognized as a gesture by the compositor.

Parameters:

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_touch_cancel

    def GstVideo.navigation_event_new_touch_cancel (state):
        #python wrapper for 'gst_navigation_event_new_touch_cancel'

Create a new navigation event signalling that all currently active touch points are cancelled and should be discarded. For example, under Wayland this event might be sent when a swipe passes the threshold to be recognized as a gesture by the compositor.

Parameters:

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_touch_down

    GstEvent *
    gst_navigation_event_new_touch_down (guint identifier,
                                         gdouble x,
                                         gdouble y,
                                         gdouble pressure,
                                         GstNavigationModifierType state)

Create a new navigation event for an added touch point.

Parameters:

`identifier` –

A number uniquely identifying this touch point. It must stay unique to this touch point at least until an up event is sent for the same identifier, or all touch points are cancelled.

`x` –

The x coordinate of the new touch point.

`y` –

The y coordinate of the new touch point.

`pressure` –

Pressure data of the touch point, from 0.0 to 1.0, or NaN if no data is available.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_touch_down

    function GstVideo.prototype.navigation_event_new_touch_down(identifier: Number, x: Number, y: Number, pressure: Number, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_touch_down'
    }

Create a new navigation event for an added touch point.

Parameters:

`identifier` (Number) –

A number uniquely identifying this touch point. It must stay unique to this touch point at least until an up event is sent for the same identifier, or all touch points are cancelled.

`x` (Number) –

The x coordinate of the new touch point.

`y` (Number) –

The y coordinate of the new touch point.

`pressure` (Number) –

Pressure data of the touch point, from 0.0 to 1.0, or NaN if no data is available.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_touch_down

    def GstVideo.navigation_event_new_touch_down (identifier, x, y, pressure, state):
        #python wrapper for 'gst_navigation_event_new_touch_down'

Create a new navigation event for an added touch point.

Parameters:

`identifier` (int) –

A number uniquely identifying this touch point. It must stay unique to this touch point at least until an up event is sent for the same identifier, or all touch points are cancelled.

`x` (float) –

The x coordinate of the new touch point.

`y` (float) –

The y coordinate of the new touch point.

`pressure` (float) –

Pressure data of the touch point, from 0.0 to 1.0, or NaN if no data is available.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_touch_frame

    GstEvent *
    gst_navigation_event_new_touch_frame (GstNavigationModifierType state)

Create a new navigation event signalling the end of a touch frame. Touch frames signal that all previous down, motion and up events not followed by another touch frame event already should be considered simultaneous.

Parameters:

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_touch_frame

    function GstVideo.prototype.navigation_event_new_touch_frame(state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_touch_frame'
    }

Create a new navigation event signalling the end of a touch frame. Touch frames signal that all previous down, motion and up events not followed by another touch frame event already should be considered simultaneous.

Parameters:

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_touch_frame

    def GstVideo.navigation_event_new_touch_frame (state):
        #python wrapper for 'gst_navigation_event_new_touch_frame'

Create a new navigation event signalling the end of a touch frame. Touch frames signal that all previous down, motion and up events not followed by another touch frame event already should be considered simultaneous.

Parameters:

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_touch_motion

    GstEvent *
    gst_navigation_event_new_touch_motion (guint identifier,
                                           gdouble x,
                                           gdouble y,
                                           gdouble pressure,
                                           GstNavigationModifierType state)

Create a new navigation event for a moved touch point.

Parameters:

`identifier` –

A number uniquely identifying this touch point. It must correlate to exactly one previous touch_start event.

`x` –

The x coordinate of the touch point.

`y` –

The y coordinate of the touch point.

`pressure` –

Pressure data of the touch point, from 0.0 to 1.0, or NaN if no data is available.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_touch_motion

    function GstVideo.prototype.navigation_event_new_touch_motion(identifier: Number, x: Number, y: Number, pressure: Number, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_touch_motion'
    }

Create a new navigation event for a moved touch point.

Parameters:

`identifier` (Number) –

A number uniquely identifying this touch point. It must correlate to exactly one previous touch_start event.

`x` (Number) –

The x coordinate of the touch point.

`y` (Number) –

The y coordinate of the touch point.

`pressure` (Number) –

Pressure data of the touch point, from 0.0 to 1.0, or NaN if no data is available.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_touch_motion

    def GstVideo.navigation_event_new_touch_motion (identifier, x, y, pressure, state):
        #python wrapper for 'gst_navigation_event_new_touch_motion'

Create a new navigation event for a moved touch point.

Parameters:

`identifier` (int) –

A number uniquely identifying this touch point. It must correlate to exactly one previous touch_start event.

`x` (float) –

The x coordinate of the touch point.

`y` (float) –

The y coordinate of the touch point.

`pressure` (float) –

Pressure data of the touch point, from 0.0 to 1.0, or NaN if no data is available.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_new_touch_up

    GstEvent *
    gst_navigation_event_new_touch_up (guint identifier,
                                       gdouble x,
                                       gdouble y,
                                       GstNavigationModifierType state)

Create a new navigation event for a removed touch point.

Parameters:

`identifier` –

A number uniquely identifying this touch point. It must correlate to exactly one previous down event, but can be reused after sending this event.

`x` –

The x coordinate of the touch point.

`y` –

The y coordinate of the touch point.

`state` –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns ( [transfer: full]) –

a new GstEvent

Since : 1.22

#### GstVideo.prototype.navigation_event_new_touch_up

    function GstVideo.prototype.navigation_event_new_touch_up(identifier: Number, x: Number, y: Number, state: GstVideo.NavigationModifierType): {
        // javascript wrapper for 'gst_navigation_event_new_touch_up'
    }

Create a new navigation event for a removed touch point.

Parameters:

`identifier` (Number) –

A number uniquely identifying this touch point. It must correlate to exactly one previous down event, but can be reused after sending this event.

`x` (Number) –

The x coordinate of the touch point.

`y` (Number) –

The y coordinate of the touch point.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### GstVideo.navigation_event_new_touch_up

    def GstVideo.navigation_event_new_touch_up (identifier, x, y, state):
        #python wrapper for 'gst_navigation_event_new_touch_up'

Create a new navigation event for a removed touch point.

Parameters:

`identifier` (int) –

A number uniquely identifying this touch point. It must correlate to exactly one previous down event, but can be reused after sending this event.

`x` (float) –

The x coordinate of the touch point.

`y` (float) –

The y coordinate of the touch point.

`state` (GstVideo.NavigationModifierType) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns (Gst.Event) –

a new Gst.Event

Since : 1.22

#### gst_navigation_event_parse_command

    gboolean
    gst_navigation_event_parse_command (GstEvent * event,
                                        GstNavigationCommand * command)

Inspect a GstNavigation command event and retrieve the enum value of the associated command.

Parameters:

`event` –

A GstEvent to inspect.

`command` ( [out][optional]) –

Pointer to GstNavigationCommand to receive the type of the navigation event.

Returns –

TRUE if the navigation command could be extracted, otherwise FALSE.

#### GstVideo.prototype.navigation_event_parse_command

    function GstVideo.prototype.navigation_event_parse_command(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_parse_command'
    }

Inspect a GstVideo.Navigation command event and retrieve the enum value of the associated command.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(Number ) –

TRUE if the navigation command could be extracted, otherwise FALSE.

`command` (GstVideo.NavigationCommand ) –

TRUE if the navigation command could be extracted, otherwise FALSE.

#### GstVideo.navigation_event_parse_command

    def GstVideo.navigation_event_parse_command (event):
        #python wrapper for 'gst_navigation_event_parse_command'

Inspect a GstVideo.Navigation command event and retrieve the enum value of the associated command.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(bool ) –

TRUE if the navigation command could be extracted, otherwise FALSE.

`command` (GstVideo.NavigationCommand ) –

TRUE if the navigation command could be extracted, otherwise FALSE.

#### gst_navigation_event_parse_key_event

    gboolean
    gst_navigation_event_parse_key_event (GstEvent * event,
                                          const gchar ** key)

Note: Modifier keys (as defined in GstNavigationModifierType) press and release events are generated even if those states are present on all other related events

Parameters:

`event` –

A GstEvent to inspect.

`key` ( [out][optional][transfer: none]) –

A pointer to a location to receive the string identifying the key press. The returned string is owned by the event, and valid only until the event is unreffed.

Returns –
No description available

#### GstVideo.prototype.navigation_event_parse_key_event

    function GstVideo.prototype.navigation_event_parse_key_event(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_parse_key_event'
    }

Note: Modifier keys (as defined in GstVideo.NavigationModifierType) press and release events are generated even if those states are present on all other related events

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(Number ) –
No description available
`key` (String ) –
No description available

#### GstVideo.navigation_event_parse_key_event

    def GstVideo.navigation_event_parse_key_event (event):
        #python wrapper for 'gst_navigation_event_parse_key_event'

Note: Modifier keys (as defined in GstVideo.NavigationModifierType) press and release events are generated even if those states are present on all other related events

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(bool ) –
No description available
`key` (str ) –
No description available

#### gst_navigation_event_parse_modifier_state

    gboolean
    gst_navigation_event_parse_modifier_state (GstEvent * event,
                                               GstNavigationModifierType * state)

Parameters:

`event` –

The GstEvent to modify.

`state` ( [out]) –

a bit-mask representing the state of the modifier keys (e.g. Control, Shift and Alt).

Returns –

TRUE if the event is a GstNavigation event with associated modifiers state, otherwise FALSE.

Since : 1.22

#### GstVideo.prototype.navigation_event_parse_modifier_state

    function GstVideo.prototype.navigation_event_parse_modifier_state(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_parse_modifier_state'
    }

Parameters:

`event` (Gst.Event) –

The Gst.Event to modify.

Returns a tuple made of:

(Number ) –

TRUE if the event is a GstVideo.Navigation event with associated modifiers state, otherwise FALSE.

`state` (GstVideo.NavigationModifierType ) –

TRUE if the event is a GstVideo.Navigation event with associated modifiers state, otherwise FALSE.

Since : 1.22

#### GstVideo.navigation_event_parse_modifier_state

    def GstVideo.navigation_event_parse_modifier_state (event):
        #python wrapper for 'gst_navigation_event_parse_modifier_state'

Parameters:

`event` (Gst.Event) –

The Gst.Event to modify.

Returns a tuple made of:

(bool ) –

TRUE if the event is a GstVideo.Navigation event with associated modifiers state, otherwise FALSE.

`state` (GstVideo.NavigationModifierType ) –

TRUE if the event is a GstVideo.Navigation event with associated modifiers state, otherwise FALSE.

Since : 1.22

#### gst_navigation_event_parse_mouse_button_event

    gboolean
    gst_navigation_event_parse_mouse_button_event (GstEvent * event,
                                                   gint * button,
                                                   gdouble * x,
                                                   gdouble * y)

Retrieve the details of either a GstNavigation mouse button press event or a mouse button release event. Determine which type the event is using gst_navigation_event_get_type to retrieve the GstNavigationEventType.

Parameters:

`event` –

A GstEvent to inspect.

`button` ( [out][optional]) –

Pointer to a gint that will receive the button number associated with the event.

`x` ( [out][optional]) –

Pointer to a gdouble to receive the x coordinate of the mouse button event.

`y` ( [out][optional]) –

Pointer to a gdouble to receive the y coordinate of the mouse button event.

Returns –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

#### GstVideo.prototype.navigation_event_parse_mouse_button_event

    function GstVideo.prototype.navigation_event_parse_mouse_button_event(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_parse_mouse_button_event'
    }

Retrieve the details of either a GstVideo.Navigation mouse button press event or a mouse button release event. Determine which type the event is using GstVideo.prototype.navigation_event_get_type to retrieve the GstVideo.NavigationEventType.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(Number ) –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

`button` (Number ) –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

`x` (Number ) –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

`y` (Number ) –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

#### GstVideo.navigation_event_parse_mouse_button_event

    def GstVideo.navigation_event_parse_mouse_button_event (event):
        #python wrapper for 'gst_navigation_event_parse_mouse_button_event'

Retrieve the details of either a GstVideo.Navigation mouse button press event or a mouse button release event. Determine which type the event is using GstVideo.navigation_event_get_type to retrieve the GstVideo.NavigationEventType.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(bool ) –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

`button` (int ) –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

`x` (float ) –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

`y` (float ) –

TRUE if the button number and both coordinates could be extracted, otherwise FALSE.

#### gst_navigation_event_parse_mouse_move_event

    gboolean
    gst_navigation_event_parse_mouse_move_event (GstEvent * event,
                                                 gdouble * x,
                                                 gdouble * y)

Inspect a GstNavigation mouse movement event and extract the coordinates of the event.

Parameters:

`event` –

A GstEvent to inspect.

`x` ( [out][optional]) –

Pointer to a gdouble to receive the x coordinate of the mouse movement.

`y` ( [out][optional]) –

Pointer to a gdouble to receive the y coordinate of the mouse movement.

Returns –

TRUE if both coordinates could be extracted, otherwise FALSE.

#### GstVideo.prototype.navigation_event_parse_mouse_move_event

    function GstVideo.prototype.navigation_event_parse_mouse_move_event(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_parse_mouse_move_event'
    }

Inspect a GstVideo.Navigation mouse movement event and extract the coordinates of the event.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(Number ) –

TRUE if both coordinates could be extracted, otherwise FALSE.

`x` (Number ) –

TRUE if both coordinates could be extracted, otherwise FALSE.

`y` (Number ) –

TRUE if both coordinates could be extracted, otherwise FALSE.

#### GstVideo.navigation_event_parse_mouse_move_event

    def GstVideo.navigation_event_parse_mouse_move_event (event):
        #python wrapper for 'gst_navigation_event_parse_mouse_move_event'

Inspect a GstVideo.Navigation mouse movement event and extract the coordinates of the event.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(bool ) –

TRUE if both coordinates could be extracted, otherwise FALSE.

`x` (float ) –

TRUE if both coordinates could be extracted, otherwise FALSE.

`y` (float ) –

TRUE if both coordinates could be extracted, otherwise FALSE.

#### gst_navigation_event_parse_mouse_scroll_event

    gboolean
    gst_navigation_event_parse_mouse_scroll_event (GstEvent * event,
                                                   gdouble * x,
                                                   gdouble * y,
                                                   gdouble * delta_x,
                                                   gdouble * delta_y)

Inspect a GstNavigation mouse scroll event and extract the coordinates of the event.

Parameters:

`event` –

A GstEvent to inspect.

`x` ( [out][optional]) –

Pointer to a gdouble to receive the x coordinate of the mouse movement.

`y` ( [out][optional]) –

Pointer to a gdouble to receive the y coordinate of the mouse movement.

`delta_x` ( [out][optional]) –

Pointer to a gdouble to receive the delta_x coordinate of the mouse movement.

`delta_y` ( [out][optional]) –

Pointer to a gdouble to receive the delta_y coordinate of the mouse movement.

Returns –

TRUE if all coordinates could be extracted, otherwise FALSE.

Since : 1.18

#### GstVideo.prototype.navigation_event_parse_mouse_scroll_event

    function GstVideo.prototype.navigation_event_parse_mouse_scroll_event(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_parse_mouse_scroll_event'
    }

Inspect a GstVideo.Navigation mouse scroll event and extract the coordinates of the event.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(Number ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

`x` (Number ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

`y` (Number ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

`delta_x` (Number ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

`delta_y` (Number ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

Since : 1.18

#### GstVideo.navigation_event_parse_mouse_scroll_event

    def GstVideo.navigation_event_parse_mouse_scroll_event (event):
        #python wrapper for 'gst_navigation_event_parse_mouse_scroll_event'

Inspect a GstVideo.Navigation mouse scroll event and extract the coordinates of the event.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(bool ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

`x` (float ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

`y` (float ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

`delta_x` (float ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

`delta_y` (float ) –

TRUE if all coordinates could be extracted, otherwise FALSE.

Since : 1.18

#### gst_navigation_event_parse_touch_event

    gboolean
    gst_navigation_event_parse_touch_event (GstEvent * event,
                                            guint * identifier,
                                            gdouble * x,
                                            gdouble * y,
                                            gdouble * pressure)

Retrieve the details of a GstNavigation touch-down or touch-motion event. Determine which type the event is using gst_navigation_event_get_type to retrieve the GstNavigationEventType.

Parameters:

`event` –

A GstEvent to inspect.

`identifier` ( [out][optional]) –

Pointer to a guint that will receive the identifier unique to this touch point.

`x` ( [out][optional]) –

Pointer to a gdouble that will receive the x coordinate of the touch event.

`y` ( [out][optional]) –

Pointer to a gdouble that will receive the y coordinate of the touch event.

`pressure` ( [out][optional]) –

Pointer to a gdouble that will receive the force of the touch event, in the range from 0.0 to 1.0. If pressure data is not available, NaN will be set instead.

Returns –

TRUE if all details could be extracted, otherwise FALSE.

Since : 1.22

#### GstVideo.prototype.navigation_event_parse_touch_event

    function GstVideo.prototype.navigation_event_parse_touch_event(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_parse_touch_event'
    }

Retrieve the details of a GstVideo.Navigation touch-down or touch-motion event. Determine which type the event is using GstVideo.prototype.navigation_event_get_type to retrieve the GstVideo.NavigationEventType.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(Number ) –

TRUE if all details could be extracted, otherwise FALSE.

`identifier` (Number ) –

TRUE if all details could be extracted, otherwise FALSE.

`x` (Number ) –

TRUE if all details could be extracted, otherwise FALSE.

`y` (Number ) –

TRUE if all details could be extracted, otherwise FALSE.

`pressure` (Number ) –

TRUE if all details could be extracted, otherwise FALSE.

Since : 1.22

#### GstVideo.navigation_event_parse_touch_event

    def GstVideo.navigation_event_parse_touch_event (event):
        #python wrapper for 'gst_navigation_event_parse_touch_event'

Retrieve the details of a GstVideo.Navigation touch-down or touch-motion event. Determine which type the event is using GstVideo.navigation_event_get_type to retrieve the GstVideo.NavigationEventType.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(bool ) –

TRUE if all details could be extracted, otherwise FALSE.

`identifier` (int ) –

TRUE if all details could be extracted, otherwise FALSE.

`x` (float ) –

TRUE if all details could be extracted, otherwise FALSE.

`y` (float ) –

TRUE if all details could be extracted, otherwise FALSE.

`pressure` (float ) –

TRUE if all details could be extracted, otherwise FALSE.

Since : 1.22

#### gst_navigation_event_parse_touch_up_event

    gboolean
    gst_navigation_event_parse_touch_up_event (GstEvent * event,
                                               guint * identifier,
                                               gdouble * x,
                                               gdouble * y)

Retrieve the details of a GstNavigation touch-up event.

Parameters:

`event` –

A GstEvent to inspect.

`identifier` ( [out][optional]) –

Pointer to a guint that will receive the identifier unique to this touch point.

`x` ( [out][optional]) –

Pointer to a gdouble that will receive the x coordinate of the touch event.

`y` ( [out][optional]) –

Pointer to a gdouble that will receive the y coordinate of the touch event.

Returns –

TRUE if all details could be extracted, otherwise FALSE.

Since : 1.22

#### GstVideo.prototype.navigation_event_parse_touch_up_event

    function GstVideo.prototype.navigation_event_parse_touch_up_event(event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_event_parse_touch_up_event'
    }

Retrieve the details of a GstVideo.Navigation touch-up event.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(Number ) –

TRUE if all details could be extracted, otherwise FALSE.

`identifier` (Number ) –

TRUE if all details could be extracted, otherwise FALSE.

`x` (Number ) –

TRUE if all details could be extracted, otherwise FALSE.

`y` (Number ) –

TRUE if all details could be extracted, otherwise FALSE.

Since : 1.22

#### GstVideo.navigation_event_parse_touch_up_event

    def GstVideo.navigation_event_parse_touch_up_event (event):
        #python wrapper for 'gst_navigation_event_parse_touch_up_event'

Retrieve the details of a GstVideo.Navigation touch-up event.

Parameters:

`event` (Gst.Event) –

A Gst.Event to inspect.

Returns a tuple made of:

(bool ) –

TRUE if all details could be extracted, otherwise FALSE.

`identifier` (int ) –

TRUE if all details could be extracted, otherwise FALSE.

`x` (float ) –

TRUE if all details could be extracted, otherwise FALSE.

`y` (float ) –

TRUE if all details could be extracted, otherwise FALSE.

Since : 1.22

#### gst_navigation_event_set_coordinates

    gboolean
    gst_navigation_event_set_coordinates (GstEvent * event,
                                          gdouble x,
                                          gdouble y)

Try to set x and y coordinates on a GstNavigation event. The event must be writable.

Parameters:

`event` –

The GstEvent to modify.

`x` –

The x coordinate to set.

`y` –

The y coordinate to set.

Returns –

A boolean indicating success.

Since : 1.22

#### GstVideo.prototype.navigation_event_set_coordinates

    function GstVideo.prototype.navigation_event_set_coordinates(event: Gst.Event, x: Number, y: Number): {
        // javascript wrapper for 'gst_navigation_event_set_coordinates'
    }

Try to set x and y coordinates on a GstVideo.Navigation event. The event must be writable.

Parameters:

`event` (Gst.Event) –

The Gst.Event to modify.

`x` (Number) –

The x coordinate to set.

`y` (Number) –

The y coordinate to set.

Returns (Number) –

A boolean indicating success.

Since : 1.22

#### GstVideo.navigation_event_set_coordinates

    def GstVideo.navigation_event_set_coordinates (event, x, y):
        #python wrapper for 'gst_navigation_event_set_coordinates'

Try to set x and y coordinates on a GstVideo.Navigation event. The event must be writable.

Parameters:

`event` (Gst.Event) –

The Gst.Event to modify.

`x` (float) –

The x coordinate to set.

`y` (float) –

The y coordinate to set.

Returns (bool) –

A boolean indicating success.

Since : 1.22

#### gst_navigation_message_get_type

    GstNavigationMessageType
    gst_navigation_message_get_type (GstMessage * message)

Check a bus message to see if it is a GstNavigation event, and return the GstNavigationMessageType identifying the type of the message if so.

Parameters:

`message` –

A GstMessage to inspect.

Returns –

The type of the GstMessage, or GST_NAVIGATION_MESSAGE_INVALID if the message is not a GstNavigation notification.

#### GstVideo.prototype.navigation_message_get_type

    function GstVideo.prototype.navigation_message_get_type(message: Gst.Message): {
        // javascript wrapper for 'gst_navigation_message_get_type'
    }

Check a bus message to see if it is a GstVideo.Navigation event, and return the GstVideo.NavigationMessageType identifying the type of the message if so.

Parameters:

`message` (Gst.Message) –

A Gst.Message to inspect.

Returns (GstVideo.NavigationMessageType) –

The type of the Gst.Message, or GstVideo.NavigationMessageType.INVALID if the message is not a GstVideo.Navigation notification.

#### GstVideo.navigation_message_get_type

    def GstVideo.navigation_message_get_type (message):
        #python wrapper for 'gst_navigation_message_get_type'

Check a bus message to see if it is a GstVideo.Navigation event, and return the GstVideo.NavigationMessageType identifying the type of the message if so.

Parameters:

`message` (Gst.Message) –

A Gst.Message to inspect.

Returns (GstVideo.NavigationMessageType) –

The type of the Gst.Message, or GstVideo.NavigationMessageType.INVALID if the message is not a GstVideo.Navigation notification.

#### gst_navigation_message_new_angles_changed

    GstMessage *
    gst_navigation_message_new_angles_changed (GstObject * src,
                                               guint cur_angle,
                                               guint n_angles)

Creates a new GstNavigation message with type GST_NAVIGATION_MESSAGE_ANGLES_CHANGED for notifying an application that the current angle, or current number of angles available in a multiangle video has changed.

Parameters:

`src` –

A GstObject to set as source of the new message.

`cur_angle` –

The currently selected angle.

`n_angles` –

The number of viewing angles now available.

Returns –

The new GstMessage.

#### GstVideo.prototype.navigation_message_new_angles_changed

    function GstVideo.prototype.navigation_message_new_angles_changed(src: Gst.Object, cur_angle: Number, n_angles: Number): {
        // javascript wrapper for 'gst_navigation_message_new_angles_changed'
    }

Creates a new GstVideo.Navigation message with type GstVideo.NavigationMessageType.ANGLES_CHANGED for notifying an application that the current angle, or current number of angles available in a multiangle video has changed.

Parameters:

`src` (Gst.Object) –

A Gst.Object to set as source of the new message.

`cur_angle` (Number) –

The currently selected angle.

`n_angles` (Number) –

The number of viewing angles now available.

Returns (Gst.Message) –

The new Gst.Message.

#### GstVideo.navigation_message_new_angles_changed

    def GstVideo.navigation_message_new_angles_changed (src, cur_angle, n_angles):
        #python wrapper for 'gst_navigation_message_new_angles_changed'

Creates a new GstVideo.Navigation message with type GstVideo.NavigationMessageType.ANGLES_CHANGED for notifying an application that the current angle, or current number of angles available in a multiangle video has changed.

Parameters:

`src` (Gst.Object) –

A Gst.Object to set as source of the new message.

`cur_angle` (int) –

The currently selected angle.

`n_angles` (int) –

The number of viewing angles now available.

Returns (Gst.Message) –

The new Gst.Message.

#### gst_navigation_message_new_commands_changed

    GstMessage *
    gst_navigation_message_new_commands_changed (GstObject * src)

Creates a new GstNavigation message with type GST_NAVIGATION_MESSAGE_COMMANDS_CHANGED

Parameters:

`src` –

A GstObject to set as source of the new message.

Returns –

The new GstMessage.

#### GstVideo.prototype.navigation_message_new_commands_changed

    function GstVideo.prototype.navigation_message_new_commands_changed(src: Gst.Object): {
        // javascript wrapper for 'gst_navigation_message_new_commands_changed'
    }

Creates a new GstVideo.Navigation message with type GstVideo.NavigationMessageType.COMMANDS_CHANGED

Parameters:

`src` (Gst.Object) –

A Gst.Object to set as source of the new message.

Returns (Gst.Message) –

The new Gst.Message.

#### GstVideo.navigation_message_new_commands_changed

    def GstVideo.navigation_message_new_commands_changed (src):
        #python wrapper for 'gst_navigation_message_new_commands_changed'

Creates a new GstVideo.Navigation message with type GstVideo.NavigationMessageType.COMMANDS_CHANGED

Parameters:

`src` (Gst.Object) –

A Gst.Object to set as source of the new message.

Returns (Gst.Message) –

The new Gst.Message.

#### gst_navigation_message_new_event

    GstMessage *
    gst_navigation_message_new_event (GstObject * src,
                                      GstEvent * event)

Creates a new GstNavigation message with type GST_NAVIGATION_MESSAGE_EVENT.

Parameters:

`src` –

A GstObject to set as source of the new message.

`event` ( [transfer: none]) –

A navigation GstEvent

Returns –

The new GstMessage.

Since : 1.6

#### GstVideo.prototype.navigation_message_new_event

    function GstVideo.prototype.navigation_message_new_event(src: Gst.Object, event: Gst.Event): {
        // javascript wrapper for 'gst_navigation_message_new_event'
    }

Creates a new GstVideo.Navigation message with type GstVideo.NavigationMessageType.EVENT.

Parameters:

`src` (Gst.Object) –

A Gst.Object to set as source of the new message.

`event` (Gst.Event) –

A navigation Gst.Event

Returns (Gst.Message) –

The new Gst.Message.

Since : 1.6

#### GstVideo.navigation_message_new_event

    def GstVideo.navigation_message_new_event (src, event):
        #python wrapper for 'gst_navigation_message_new_event'

Creates a new GstVideo.Navigation message with type GstVideo.NavigationMessageType.EVENT.

Parameters:

`src` (Gst.Object) –

A Gst.Object to set as source of the new message.

`event` (Gst.Event) –

A navigation Gst.Event

Returns (Gst.Message) –

The new Gst.Message.

Since : 1.6

#### gst_navigation_message_new_mouse_over

    GstMessage *
    gst_navigation_message_new_mouse_over (GstObject * src,
                                           gboolean active)

Creates a new GstNavigation message with type GST_NAVIGATION_MESSAGE_MOUSE_OVER.

Parameters:

`src` –

A GstObject to set as source of the new message.

`active` –

TRUE if the mouse has entered a clickable area of the display. FALSE if it over a non-clickable area.

Returns –

The new GstMessage.

#### GstVideo.prototype.navigation_message_new_mouse_over

    function GstVideo.prototype.navigation_message_new_mouse_over(src: Gst.Object, active: Number): {
        // javascript wrapper for 'gst_navigation_message_new_mouse_over'
    }

Creates a new GstVideo.Navigation message with type GstVideo.NavigationMessageType.MOUSE_OVER.

Parameters:

`src` (Gst.Object) –

A Gst.Object to set as source of the new message.

`active` (Number) –

true if the mouse has entered a clickable area of the display. false if it over a non-clickable area.

Returns (Gst.Message) –

The new Gst.Message.

#### GstVideo.navigation_message_new_mouse_over

    def GstVideo.navigation_message_new_mouse_over (src, active):
        #python wrapper for 'gst_navigation_message_new_mouse_over'

Creates a new GstVideo.Navigation message with type GstVideo.NavigationMessageType.MOUSE_OVER.

Parameters:

`src` (Gst.Object) –

A Gst.Object to set as source of the new message.

`active` (bool) –

True if the mouse has entered a clickable area of the display. False if it over a non-clickable area.

Returns (Gst.Message) –

The new Gst.Message.

#### gst_navigation_message_parse_angles_changed

    gboolean
    gst_navigation_message_parse_angles_changed (GstMessage * message,
                                                 guint * cur_angle,
                                                 guint * n_angles)

Parse a GstNavigation message of type GST_NAVIGATION_MESSAGE_ANGLES_CHANGED and extract the cur_angle and n_angles parameters.

Parameters:

`message` –

A GstMessage to inspect.

`cur_angle` ( [out][optional]) –

A pointer to a guint to receive the new current angle number, or NULL

`n_angles` ( [out][optional]) –

A pointer to a guint to receive the new angle count, or NULL.

Returns –

TRUE if the message could be successfully parsed. FALSE if not.

#### GstVideo.prototype.navigation_message_parse_angles_changed

    function GstVideo.prototype.navigation_message_parse_angles_changed(message: Gst.Message): {
        // javascript wrapper for 'gst_navigation_message_parse_angles_changed'
    }

Parse a GstVideo.Navigation message of type GST_NAVIGATION_MESSAGE_ANGLES_CHANGED and extract the cur_angle and n_angles parameters.

Parameters:

`message` (Gst.Message) –

A Gst.Message to inspect.

Returns a tuple made of:

(Number ) –

true if the message could be successfully parsed. false if not.

`cur_angle` (Number ) –

true if the message could be successfully parsed. false if not.

`n_angles` (Number ) –

true if the message could be successfully parsed. false if not.

#### GstVideo.navigation_message_parse_angles_changed

    def GstVideo.navigation_message_parse_angles_changed (message):
        #python wrapper for 'gst_navigation_message_parse_angles_changed'

Parse a GstVideo.Navigation message of type GST_NAVIGATION_MESSAGE_ANGLES_CHANGED and extract the cur_angle and n_angles parameters.

Parameters:

`message` (Gst.Message) –

A Gst.Message to inspect.

Returns a tuple made of:

(bool ) –

True if the message could be successfully parsed. False if not.

`cur_angle` (int ) –

True if the message could be successfully parsed. False if not.

`n_angles` (int ) –

True if the message could be successfully parsed. False if not.

#### gst_navigation_message_parse_event

    gboolean
    gst_navigation_message_parse_event (GstMessage * message,
                                        GstEvent ** event)

Parse a GstNavigation message of type GST_NAVIGATION_MESSAGE_EVENT and extract contained GstEvent. The caller must unref the event when done with it.

Parameters:

`message` –

A GstMessage to inspect.

`event` ( [out][optional][transfer: full]) –

a pointer to a GstEvent to receive the contained navigation event.

Returns –

TRUE if the message could be successfully parsed. FALSE if not.

Since : 1.6

#### GstVideo.prototype.navigation_message_parse_event

    function GstVideo.prototype.navigation_message_parse_event(message: Gst.Message): {
        // javascript wrapper for 'gst_navigation_message_parse_event'
    }

Parse a GstVideo.Navigation message of type GstVideo.NavigationMessageType.EVENT and extract contained Gst.Event. The caller must unref the event when done with it.

Parameters:

`message` (Gst.Message) –

A Gst.Message to inspect.

Returns a tuple made of:

(Number ) –

true if the message could be successfully parsed. false if not.

`event` (Gst.Event ) –

true if the message could be successfully parsed. false if not.

Since : 1.6

#### GstVideo.navigation_message_parse_event

    def GstVideo.navigation_message_parse_event (message):
        #python wrapper for 'gst_navigation_message_parse_event'

Parse a GstVideo.Navigation message of type GstVideo.NavigationMessageType.EVENT and extract contained Gst.Event. The caller must unref the event when done with it.

Parameters:

`message` (Gst.Message) –

A Gst.Message to inspect.

Returns a tuple made of:

(bool ) –

True if the message could be successfully parsed. False if not.

`event` (Gst.Event ) –

True if the message could be successfully parsed. False if not.

Since : 1.6

#### gst_navigation_message_parse_mouse_over

    gboolean
    gst_navigation_message_parse_mouse_over (GstMessage * message,
                                             gboolean * active)

Parse a GstNavigation message of type GST_NAVIGATION_MESSAGE_MOUSE_OVER and extract the active/inactive flag. If the mouse over event is marked active, it indicates that the mouse is over a clickable area.

Parameters:

`message` –

A GstMessage to inspect.

`active` ( [out][optional]) –

A pointer to a gboolean to receive the active/inactive state, or NULL.

Returns –

TRUE if the message could be successfully parsed. FALSE if not.

#### GstVideo.prototype.navigation_message_parse_mouse_over

    function GstVideo.prototype.navigation_message_parse_mouse_over(message: Gst.Message): {
        // javascript wrapper for 'gst_navigation_message_parse_mouse_over'
    }

Parse a GstVideo.Navigation message of type GstVideo.NavigationMessageType.MOUSE_OVER and extract the active/inactive flag. If the mouse over event is marked active, it indicates that the mouse is over a clickable area.

Parameters:

`message` (Gst.Message) –

A Gst.Message to inspect.

Returns a tuple made of:

(Number ) –

true if the message could be successfully parsed. false if not.

`active` (Number ) –

true if the message could be successfully parsed. false if not.

#### GstVideo.navigation_message_parse_mouse_over

    def GstVideo.navigation_message_parse_mouse_over (message):
        #python wrapper for 'gst_navigation_message_parse_mouse_over'

Parse a GstVideo.Navigation message of type GstVideo.NavigationMessageType.MOUSE_OVER and extract the active/inactive flag. If the mouse over event is marked active, it indicates that the mouse is over a clickable area.

Parameters:

`message` (Gst.Message) –

A Gst.Message to inspect.

Returns a tuple made of:

(bool ) –

True if the message could be successfully parsed. False if not.

`active` (bool ) –

True if the message could be successfully parsed. False if not.

#### gst_navigation_query_get_type

    GstNavigationQueryType
    gst_navigation_query_get_type (GstQuery * query)

Inspect a GstQuery and return the GstNavigationQueryType associated with it if it is a GstNavigation query.

Parameters:

`query` –

The query to inspect

Returns –

The GstNavigationQueryType of the query, or GST_NAVIGATION_QUERY_INVALID

#### GstVideo.prototype.navigation_query_get_type

    function GstVideo.prototype.navigation_query_get_type(query: Gst.Query): {
        // javascript wrapper for 'gst_navigation_query_get_type'
    }

Inspect a Gst.Query and return the GstVideo.NavigationQueryType associated with it if it is a GstVideo.Navigation query.

Parameters:

`query` (Gst.Query) –

The query to inspect

Returns (GstVideo.NavigationQueryType) –

The GstVideo.NavigationQueryType of the query, or GstVideo.NavigationQueryType.INVALID

#### GstVideo.navigation_query_get_type

    def GstVideo.navigation_query_get_type (query):
        #python wrapper for 'gst_navigation_query_get_type'

Inspect a Gst.Query and return the GstVideo.NavigationQueryType associated with it if it is a GstVideo.Navigation query.

Parameters:

`query` (Gst.Query) –

The query to inspect

Returns (GstVideo.NavigationQueryType) –

The GstVideo.NavigationQueryType of the query, or GstVideo.NavigationQueryType.INVALID

#### gst_navigation_query_new_angles

    GstQuery *
    gst_navigation_query_new_angles ()

Create a new GstNavigation angles query. When executed, it will query the pipeline for the set of currently available angles, which may be greater than one in a multiangle video.

Returns –

The new query.

#### GstVideo.prototype.navigation_query_new_angles

    function GstVideo.prototype.navigation_query_new_angles(): {
        // javascript wrapper for 'gst_navigation_query_new_angles'
    }

Create a new GstVideo.Navigation angles query. When executed, it will query the pipeline for the set of currently available angles, which may be greater than one in a multiangle video.

Returns (Gst.Query) –

The new query.

#### GstVideo.navigation_query_new_angles

    def GstVideo.navigation_query_new_angles ():
        #python wrapper for 'gst_navigation_query_new_angles'

Create a new GstVideo.Navigation angles query. When executed, it will query the pipeline for the set of currently available angles, which may be greater than one in a multiangle video.

Returns (Gst.Query) –

The new query.

#### gst_navigation_query_new_commands

    GstQuery *
    gst_navigation_query_new_commands ()

Create a new GstNavigation commands query. When executed, it will query the pipeline for the set of currently available commands.

Returns –

The new query.

#### GstVideo.prototype.navigation_query_new_commands

    function GstVideo.prototype.navigation_query_new_commands(): {
        // javascript wrapper for 'gst_navigation_query_new_commands'
    }

Create a new GstVideo.Navigation commands query. When executed, it will query the pipeline for the set of currently available commands.

Returns (Gst.Query) –

The new query.

#### GstVideo.navigation_query_new_commands

    def GstVideo.navigation_query_new_commands ():
        #python wrapper for 'gst_navigation_query_new_commands'

Create a new GstVideo.Navigation commands query. When executed, it will query the pipeline for the set of currently available commands.

Returns (Gst.Query) –

The new query.

#### gst_navigation_query_parse_angles

    gboolean
    gst_navigation_query_parse_angles (GstQuery * query,
                                       guint * cur_angle,
                                       guint * n_angles)

Parse the current angle number in the GstNavigation angles query into the guint pointed to by the cur_angle variable, and the number of available angles into the guint pointed to by the n_angles variable.

Parameters:

`query` –

a GstQuery

`cur_angle` ( [out][optional]) –

Pointer to a guint into which to store the currently selected angle value from the query, or NULL

`n_angles` ( [out][optional]) –

Pointer to a guint into which to store the number of angles value from the query, or NULL

Returns –

TRUE if the query could be successfully parsed. FALSE if not.

#### GstVideo.prototype.navigation_query_parse_angles

    function GstVideo.prototype.navigation_query_parse_angles(query: Gst.Query): {
        // javascript wrapper for 'gst_navigation_query_parse_angles'
    }

Parse the current angle number in the GstVideo.Navigation angles query into the Number pointed to by the cur_angle variable, and the number of available angles into the Number pointed to by the n_angles variable.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Returns a tuple made of:

(Number ) –

true if the query could be successfully parsed. false if not.

`cur_angle` (Number ) –

true if the query could be successfully parsed. false if not.

`n_angles` (Number ) –

true if the query could be successfully parsed. false if not.

#### GstVideo.navigation_query_parse_angles

    def GstVideo.navigation_query_parse_angles (query):
        #python wrapper for 'gst_navigation_query_parse_angles'

Parse the current angle number in the GstVideo.Navigation angles query into the int pointed to by the cur_angle variable, and the number of available angles into the int pointed to by the n_angles variable.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Returns a tuple made of:

(bool ) –

True if the query could be successfully parsed. False if not.

`cur_angle` (int ) –

True if the query could be successfully parsed. False if not.

`n_angles` (int ) –

True if the query could be successfully parsed. False if not.

#### gst_navigation_query_parse_commands_length

    gboolean
    gst_navigation_query_parse_commands_length (GstQuery * query,
                                                guint * n_cmds)

Parse the number of commands in the GstNavigation commands query.

Parameters:

`query` –

a GstQuery

`n_cmds` ( [out][optional]) –

the number of commands in this query.

Returns –

TRUE if the query could be successfully parsed. FALSE if not.

#### GstVideo.prototype.navigation_query_parse_commands_length

    function GstVideo.prototype.navigation_query_parse_commands_length(query: Gst.Query): {
        // javascript wrapper for 'gst_navigation_query_parse_commands_length'
    }

Parse the number of commands in the GstVideo.Navigation commands query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Returns a tuple made of:

(Number ) –

true if the query could be successfully parsed. false if not.

`n_cmds` (Number ) –

true if the query could be successfully parsed. false if not.

#### GstVideo.navigation_query_parse_commands_length

    def GstVideo.navigation_query_parse_commands_length (query):
        #python wrapper for 'gst_navigation_query_parse_commands_length'

Parse the number of commands in the GstVideo.Navigation commands query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Returns a tuple made of:

(bool ) –

True if the query could be successfully parsed. False if not.

`n_cmds` (int ) –

True if the query could be successfully parsed. False if not.

#### gst_navigation_query_parse_commands_nth

    gboolean
    gst_navigation_query_parse_commands_nth (GstQuery * query,
                                             guint nth,
                                             GstNavigationCommand * cmd)

Parse the GstNavigation command query and retrieve the nth command from it into cmd. If the list contains less elements than nth, cmd will be set to GST_NAVIGATION_COMMAND_INVALID.

Parameters:

`query` –

a GstQuery

`nth` –

the nth command to retrieve.

`cmd` ( [out][optional]) –

a pointer to store the nth command into.

Returns –

TRUE if the query could be successfully parsed. FALSE if not.

#### GstVideo.prototype.navigation_query_parse_commands_nth

    function GstVideo.prototype.navigation_query_parse_commands_nth(query: Gst.Query, nth: Number): {
        // javascript wrapper for 'gst_navigation_query_parse_commands_nth'
    }

Parse the GstVideo.Navigation command query and retrieve the nth command from it into cmd. If the list contains less elements than nth, cmd will be set to GstVideo.NavigationCommand.INVALID.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`nth` (Number) –

the nth command to retrieve.

Returns a tuple made of:

(Number ) –

true if the query could be successfully parsed. false if not.

`cmd` (GstVideo.NavigationCommand ) –

true if the query could be successfully parsed. false if not.

#### GstVideo.navigation_query_parse_commands_nth

    def GstVideo.navigation_query_parse_commands_nth (query, nth):
        #python wrapper for 'gst_navigation_query_parse_commands_nth'

Parse the GstVideo.Navigation command query and retrieve the nth command from it into cmd. If the list contains less elements than nth, cmd will be set to GstVideo.NavigationCommand.INVALID.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`nth` (int) –

the nth command to retrieve.

Returns a tuple made of:

(bool ) –

True if the query could be successfully parsed. False if not.

`cmd` (GstVideo.NavigationCommand ) –

True if the query could be successfully parsed. False if not.

#### gst_navigation_query_set_angles

    gst_navigation_query_set_angles (GstQuery * query,
                                     guint cur_angle,
                                     guint n_angles)

Set the GstNavigation angles query result field in query.

Parameters:

`query` –

a GstQuery

`cur_angle` –

the current viewing angle to set.

`n_angles` –

the number of viewing angles to set.

#### GstVideo.prototype.navigation_query_set_angles

    function GstVideo.prototype.navigation_query_set_angles(query: Gst.Query, cur_angle: Number, n_angles: Number): {
        // javascript wrapper for 'gst_navigation_query_set_angles'
    }

Set the GstVideo.Navigation angles query result field in query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`cur_angle` (Number) –

the current viewing angle to set.

`n_angles` (Number) –

the number of viewing angles to set.

#### GstVideo.navigation_query_set_angles

    def GstVideo.navigation_query_set_angles (query, cur_angle, n_angles):
        #python wrapper for 'gst_navigation_query_set_angles'

Set the GstVideo.Navigation angles query result field in query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`cur_angle` (int) –

the current viewing angle to set.

`n_angles` (int) –

the number of viewing angles to set.

#### gst_navigation_query_set_commands

    gst_navigation_query_set_commands (GstQuery * query,
                                       gint n_cmds,
                                       ... ...)

Set the GstNavigation command query result fields in query. The number of commands passed must be equal to n_commands.

Parameters:

`query` –

a GstQuery

`n_cmds` –

the number of commands to set.

`...` –

A list of GstNavigationCommand values, n_cmds entries long.

#### gst_navigation_query_set_commandsv

    gst_navigation_query_set_commandsv (GstQuery * query,
                                        gint n_cmds,
                                        GstNavigationCommand * cmds)

Set the GstNavigation command query result fields in query. The number of commands passed must be equal to n_commands.

Parameters:

`query` –

a GstQuery

`n_cmds` –

the number of commands to set.

`cmds` ( [array length=n_cmds]) –

An array containing n_cmds GstNavigationCommand values.

#### GstVideo.prototype.navigation_query_set_commandsv

    function GstVideo.prototype.navigation_query_set_commandsv(query: Gst.Query, n_cmds: Number, cmds: [ GstVideo.NavigationCommand ]): {
        // javascript wrapper for 'gst_navigation_query_set_commandsv'
    }

Set the GstVideo.Navigation command query result fields in query. The number of commands passed must be equal to n_commands.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`n_cmds` (Number) –

the number of commands to set.

`cmds` ([ GstVideo.NavigationCommand ]) –

An array containing n_cmds GstNavigationCommand values.

#### GstVideo.navigation_query_set_commandsv

    def GstVideo.navigation_query_set_commandsv (query, n_cmds, cmds):
        #python wrapper for 'gst_navigation_query_set_commandsv'

Set the GstVideo.Navigation command query result fields in query. The number of commands passed must be equal to n_commands.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`n_cmds` (int) –

the number of commands to set.

`cmds` ([ GstVideo.NavigationCommand ]) –

An array containing n_cmds GstNavigationCommand values.

### Virtual Methods

#### send_event

    send_event (GstNavigation * navigation,
                GstStructure * structure)

sending a navigation event

Parameters:

`navigation` –
No description available
`structure` –
No description available

#### vfunc_send_event

    function vfunc_send_event(navigation: GstVideo.Navigation, structure: Gst.Structure): {
        // javascript implementation of the 'send_event' virtual method
    }

sending a navigation event

Parameters:

`navigation` (GstVideo.Navigation) –
No description available
`structure` (Gst.Structure) –
No description available

#### do_send_event

    def do_send_event (navigation, structure):
        #python implementation of the 'send_event' virtual method

sending a navigation event

Parameters:

`navigation` (GstVideo.Navigation) –
No description available
`structure` (Gst.Structure) –
No description available

#### send_event_simple

    send_event_simple (GstNavigation * navigation,
                       GstEvent * event)

sending a navigation event (Since: 1.22)

Parameters:

`navigation` –
No description available
`event` –
No description available

#### vfunc_send_event_simple

    function vfunc_send_event_simple(navigation: GstVideo.Navigation, event: Gst.Event): {
        // javascript implementation of the 'send_event_simple' virtual method
    }

sending a navigation event (Since: 1.22)

Parameters:

`navigation` (GstVideo.Navigation) –
No description available
`event` (Gst.Event) –
No description available

#### do_send_event_simple

    def do_send_event_simple (navigation, event):
        #python implementation of the 'send_event_simple' virtual method

sending a navigation event (Since: 1.22)

Parameters:

`navigation` (GstVideo.Navigation) –
No description available
`event` (Gst.Event) –
No description available

## Function Macros

### GST_NAVIGATION_GET_INTERFACE

    #define GST_NAVIGATION_GET_INTERFACE(obj) \
        (G_TYPE_INSTANCE_GET_INTERFACE ((obj), GST_TYPE_NAVIGATION, GstNavigationInterface))

## Enumerations

### GstNavigationCommand

A set of commands that may be issued to an element providing the GstNavigation interface. The available commands can be queried via the gst_navigation_query_new_commands query.

For convenience in handling DVD navigation, the MENU commands are aliased as: GST_NAVIGATION_COMMAND_DVD_MENU = GST_NAVIGATION_COMMAND_MENU1 GST_NAVIGATION_COMMAND_DVD_TITLE_MENU = GST_NAVIGATION_COMMAND_MENU2 GST_NAVIGATION_COMMAND_DVD_ROOT_MENU = GST_NAVIGATION_COMMAND_MENU3 GST_NAVIGATION_COMMAND_DVD_SUBPICTURE_MENU = GST_NAVIGATION_COMMAND_MENU4 GST_NAVIGATION_COMMAND_DVD_AUDIO_MENU = GST_NAVIGATION_COMMAND_MENU5 GST_NAVIGATION_COMMAND_DVD_ANGLE_MENU = GST_NAVIGATION_COMMAND_MENU6 GST_NAVIGATION_COMMAND_DVD_CHAPTER_MENU = GST_NAVIGATION_COMMAND_MENU7

##### Members

`GST_NAVIGATION_COMMAND_INVALID` (0) –

An invalid command entry

`GST_NAVIGATION_COMMAND_MENU1` (1) –

Execute navigation menu command 1. For DVD, this enters the DVD root menu, or exits back to the title from the menu.

`GST_NAVIGATION_COMMAND_MENU2` (2) –

Execute navigation menu command 2. For DVD, this jumps to the DVD title menu.

`GST_NAVIGATION_COMMAND_MENU3` (3) –

Execute navigation menu command 3. For DVD, this jumps into the DVD root menu.

`GST_NAVIGATION_COMMAND_MENU4` (4) –

Execute navigation menu command 4. For DVD, this jumps to the Subpicture menu.

`GST_NAVIGATION_COMMAND_MENU5` (5) –

Execute navigation menu command 5. For DVD, the jumps to the audio menu.

`GST_NAVIGATION_COMMAND_MENU6` (6) –

Execute navigation menu command 6. For DVD, this jumps to the angles menu.

`GST_NAVIGATION_COMMAND_MENU7` (7) –

Execute navigation menu command 7. For DVD, this jumps to the chapter menu.

`GST_NAVIGATION_COMMAND_LEFT` (20) –

Select the next button to the left in a menu, if such a button exists.

`GST_NAVIGATION_COMMAND_RIGHT` (21) –

Select the next button to the right in a menu, if such a button exists.

`GST_NAVIGATION_COMMAND_UP` (22) –

Select the button above the current one in a menu, if such a button exists.

`GST_NAVIGATION_COMMAND_DOWN` (23) –

Select the button below the current one in a menu, if such a button exists.

`GST_NAVIGATION_COMMAND_ACTIVATE` (24) –

Activate (click) the currently selected button in a menu, if such a button exists.

`GST_NAVIGATION_COMMAND_PREV_ANGLE` (30) –

Switch to the previous angle in a multiangle feature.

`GST_NAVIGATION_COMMAND_NEXT_ANGLE` (31) –

Switch to the next angle in a multiangle feature.

### GstVideo.NavigationCommand

A set of commands that may be issued to an element providing the GstVideo.Navigation interface. The available commands can be queried via the GstVideo.prototype.navigation_query_new_commands query.

For convenience in handling DVD navigation, the MENU commands are aliased as: GST_NAVIGATION_COMMAND_DVD_MENU = GST_NAVIGATION_COMMAND_MENU1 GST_NAVIGATION_COMMAND_DVD_TITLE_MENU = GST_NAVIGATION_COMMAND_MENU2 GST_NAVIGATION_COMMAND_DVD_ROOT_MENU = GST_NAVIGATION_COMMAND_MENU3 GST_NAVIGATION_COMMAND_DVD_SUBPICTURE_MENU = GST_NAVIGATION_COMMAND_MENU4 GST_NAVIGATION_COMMAND_DVD_AUDIO_MENU = GST_NAVIGATION_COMMAND_MENU5 GST_NAVIGATION_COMMAND_DVD_ANGLE_MENU = GST_NAVIGATION_COMMAND_MENU6 GST_NAVIGATION_COMMAND_DVD_CHAPTER_MENU = GST_NAVIGATION_COMMAND_MENU7

##### Members

`GstVideo.NavigationCommand.INVALID` (0) –

An invalid command entry

`GstVideo.NavigationCommand.MENU1` (1) –

Execute navigation menu command 1. For DVD, this enters the DVD root menu, or exits back to the title from the menu.

`GstVideo.NavigationCommand.MENU2` (2) –

Execute navigation menu command 2. For DVD, this jumps to the DVD title menu.

`GstVideo.NavigationCommand.MENU3` (3) –

Execute navigation menu command 3. For DVD, this jumps into the DVD root menu.

`GstVideo.NavigationCommand.MENU4` (4) –

Execute navigation menu command 4. For DVD, this jumps to the Subpicture menu.

`GstVideo.NavigationCommand.MENU5` (5) –

Execute navigation menu command 5. For DVD, the jumps to the audio menu.

`GstVideo.NavigationCommand.MENU6` (6) –

Execute navigation menu command 6. For DVD, this jumps to the angles menu.

`GstVideo.NavigationCommand.MENU7` (7) –

Execute navigation menu command 7. For DVD, this jumps to the chapter menu.

`GstVideo.NavigationCommand.LEFT` (20) –

Select the next button to the left in a menu, if such a button exists.

`GstVideo.NavigationCommand.RIGHT` (21) –

Select the next button to the right in a menu, if such a button exists.

`GstVideo.NavigationCommand.UP` (22) –

Select the button above the current one in a menu, if such a button exists.

`GstVideo.NavigationCommand.DOWN` (23) –

Select the button below the current one in a menu, if such a button exists.

`GstVideo.NavigationCommand.ACTIVATE` (24) –

Activate (click) the currently selected button in a menu, if such a button exists.

`GstVideo.NavigationCommand.PREV_ANGLE` (30) –

Switch to the previous angle in a multiangle feature.

`GstVideo.NavigationCommand.NEXT_ANGLE` (31) –

Switch to the next angle in a multiangle feature.

### GstVideo.NavigationCommand

A set of commands that may be issued to an element providing the GstVideo.Navigation interface. The available commands can be queried via the GstVideo.navigation_query_new_commands query.

For convenience in handling DVD navigation, the MENU commands are aliased as: GST_NAVIGATION_COMMAND_DVD_MENU = GST_NAVIGATION_COMMAND_MENU1 GST_NAVIGATION_COMMAND_DVD_TITLE_MENU = GST_NAVIGATION_COMMAND_MENU2 GST_NAVIGATION_COMMAND_DVD_ROOT_MENU = GST_NAVIGATION_COMMAND_MENU3 GST_NAVIGATION_COMMAND_DVD_SUBPICTURE_MENU = GST_NAVIGATION_COMMAND_MENU4 GST_NAVIGATION_COMMAND_DVD_AUDIO_MENU = GST_NAVIGATION_COMMAND_MENU5 GST_NAVIGATION_COMMAND_DVD_ANGLE_MENU = GST_NAVIGATION_COMMAND_MENU6 GST_NAVIGATION_COMMAND_DVD_CHAPTER_MENU = GST_NAVIGATION_COMMAND_MENU7

##### Members

`GstVideo.NavigationCommand.INVALID` (0) –

An invalid command entry

`GstVideo.NavigationCommand.MENU1` (1) –

Execute navigation menu command 1. For DVD, this enters the DVD root menu, or exits back to the title from the menu.

`GstVideo.NavigationCommand.MENU2` (2) –

Execute navigation menu command 2. For DVD, this jumps to the DVD title menu.

`GstVideo.NavigationCommand.MENU3` (3) –

Execute navigation menu command 3. For DVD, this jumps into the DVD root menu.

`GstVideo.NavigationCommand.MENU4` (4) –

Execute navigation menu command 4. For DVD, this jumps to the Subpicture menu.

`GstVideo.NavigationCommand.MENU5` (5) –

Execute navigation menu command 5. For DVD, the jumps to the audio menu.

`GstVideo.NavigationCommand.MENU6` (6) –

Execute navigation menu command 6. For DVD, this jumps to the angles menu.

`GstVideo.NavigationCommand.MENU7` (7) –

Execute navigation menu command 7. For DVD, this jumps to the chapter menu.

`GstVideo.NavigationCommand.LEFT` (20) –

Select the next button to the left in a menu, if such a button exists.

`GstVideo.NavigationCommand.RIGHT` (21) –

Select the next button to the right in a menu, if such a button exists.

`GstVideo.NavigationCommand.UP` (22) –

Select the button above the current one in a menu, if such a button exists.

`GstVideo.NavigationCommand.DOWN` (23) –

Select the button below the current one in a menu, if such a button exists.

`GstVideo.NavigationCommand.ACTIVATE` (24) –

Activate (click) the currently selected button in a menu, if such a button exists.

`GstVideo.NavigationCommand.PREV_ANGLE` (30) –

Switch to the previous angle in a multiangle feature.

`GstVideo.NavigationCommand.NEXT_ANGLE` (31) –

Switch to the next angle in a multiangle feature.

### GstNavigationEventType

Enum values for the various events that an element implementing the GstNavigation interface might send up the pipeline. Touch events have been inspired by the libinput API, and have the same meaning here.

##### Members

`GST_NAVIGATION_EVENT_INVALID` (0) –

Returned from gst_navigation_event_get_type when the passed event is not a navigation event.

`GST_NAVIGATION_EVENT_KEY_PRESS` (1) –

A key press event. Use gst_navigation_event_parse_key_event to extract the details from the event.

`GST_NAVIGATION_EVENT_KEY_RELEASE` (2) –

A key release event. Use gst_navigation_event_parse_key_event to extract the details from the event.

`GST_NAVIGATION_EVENT_MOUSE_BUTTON_PRESS` (3) –

A mouse button press event. Use gst_navigation_event_parse_mouse_button_event to extract the details from the event.

`GST_NAVIGATION_EVENT_MOUSE_BUTTON_RELEASE` (4) –

A mouse button release event. Use gst_navigation_event_parse_mouse_button_event to extract the details from the event.

`GST_NAVIGATION_EVENT_MOUSE_MOVE` (5) –

A mouse movement event. Use gst_navigation_event_parse_mouse_move_event to extract the details from the event.

`GST_NAVIGATION_EVENT_COMMAND` (6) –

A navigation command event. Use gst_navigation_event_parse_command to extract the details from the event.

`GST_NAVIGATION_EVENT_MOUSE_SCROLL` (7) –

A mouse scroll event. Use gst_navigation_event_parse_mouse_scroll_event to extract the details from the event.

(Since: 1.18)
`GST_NAVIGATION_EVENT_TOUCH_DOWN` (8) –

An event describing a new touch point, which will be assigned an identifier that is unique to it for the duration of its movement on the screen. Use gst_navigation_event_parse_touch_event to extract the details from the event.

(Since: 1.22)
`GST_NAVIGATION_EVENT_TOUCH_MOTION` (9) –

An event describing the movement of an active touch point across the screen. Use gst_navigation_event_parse_touch_event to extract the details from the event.

(Since: 1.22)
`GST_NAVIGATION_EVENT_TOUCH_UP` (10) –

An event describing a removed touch point. After this event, its identifier may be reused for any new touch points. Use gst_navigation_event_parse_touch_up_event to extract the details from the event.

(Since: 1.22)
`GST_NAVIGATION_EVENT_TOUCH_FRAME` (11) –

An event signaling the end of a sequence of simultaneous touch events.

(Since: 1.22)
`GST_NAVIGATION_EVENT_TOUCH_CANCEL` (12) –

An event cancelling all currently active touch points.

(Since: 1.22)
`GST_NAVIGATION_EVENT_MOUSE_DOUBLE_CLICK` (13) –

A mouse button double click event. Use gst_navigation_event_parse_mouse_button_event to extract the details from the event.

(Since: 1.26)

### GstVideo.NavigationEventType

Enum values for the various events that an element implementing the GstNavigation interface might send up the pipeline. Touch events have been inspired by the libinput API, and have the same meaning here.

##### Members

`GstVideo.NavigationEventType.INVALID` (0) –

Returned from GstVideo.prototype.navigation_event_get_type when the passed event is not a navigation event.

`GstVideo.NavigationEventType.KEY_PRESS` (1) –

A key press event. Use GstVideo.prototype.navigation_event_parse_key_event to extract the details from the event.

`GstVideo.NavigationEventType.KEY_RELEASE` (2) –

A key release event. Use GstVideo.prototype.navigation_event_parse_key_event to extract the details from the event.

`GstVideo.NavigationEventType.MOUSE_BUTTON_PRESS` (3) –

A mouse button press event. Use GstVideo.prototype.navigation_event_parse_mouse_button_event to extract the details from the event.

`GstVideo.NavigationEventType.MOUSE_BUTTON_RELEASE` (4) –

A mouse button release event. Use GstVideo.prototype.navigation_event_parse_mouse_button_event to extract the details from the event.

`GstVideo.NavigationEventType.MOUSE_MOVE` (5) –

A mouse movement event. Use GstVideo.prototype.navigation_event_parse_mouse_move_event to extract the details from the event.

`GstVideo.NavigationEventType.COMMAND` (6) –

A navigation command event. Use GstVideo.prototype.navigation_event_parse_command to extract the details from the event.

`GstVideo.NavigationEventType.MOUSE_SCROLL` (7) –

A mouse scroll event. Use GstVideo.prototype.navigation_event_parse_mouse_scroll_event to extract the details from the event.

(Since: 1.18)
`GstVideo.NavigationEventType.TOUCH_DOWN` (8) –

An event describing a new touch point, which will be assigned an identifier that is unique to it for the duration of its movement on the screen. Use GstVideo.prototype.navigation_event_parse_touch_event to extract the details from the event.

(Since: 1.22)
`GstVideo.NavigationEventType.TOUCH_MOTION` (9) –

An event describing the movement of an active touch point across the screen. Use GstVideo.prototype.navigation_event_parse_touch_event to extract the details from the event.

(Since: 1.22)
`GstVideo.NavigationEventType.TOUCH_UP` (10) –

An event describing a removed touch point. After this event, its identifier may be reused for any new touch points. Use GstVideo.prototype.navigation_event_parse_touch_up_event to extract the details from the event.

(Since: 1.22)
`GstVideo.NavigationEventType.TOUCH_FRAME` (11) –

An event signaling the end of a sequence of simultaneous touch events.

(Since: 1.22)
`GstVideo.NavigationEventType.TOUCH_CANCEL` (12) –

An event cancelling all currently active touch points.

(Since: 1.22)
`GstVideo.NavigationEventType.MOUSE_DOUBLE_CLICK` (13) –

A mouse button double click event. Use GstVideo.prototype.navigation_event_parse_mouse_button_event to extract the details from the event.

(Since: 1.26)

### GstVideo.NavigationEventType

Enum values for the various events that an element implementing the GstNavigation interface might send up the pipeline. Touch events have been inspired by the libinput API, and have the same meaning here.

##### Members

`GstVideo.NavigationEventType.INVALID` (0) –

Returned from GstVideo.navigation_event_get_type when the passed event is not a navigation event.

`GstVideo.NavigationEventType.KEY_PRESS` (1) –

A key press event. Use GstVideo.navigation_event_parse_key_event to extract the details from the event.

`GstVideo.NavigationEventType.KEY_RELEASE` (2) –

A key release event. Use GstVideo.navigation_event_parse_key_event to extract the details from the event.

`GstVideo.NavigationEventType.MOUSE_BUTTON_PRESS` (3) –

A mouse button press event. Use GstVideo.navigation_event_parse_mouse_button_event to extract the details from the event.

`GstVideo.NavigationEventType.MOUSE_BUTTON_RELEASE` (4) –

A mouse button release event. Use GstVideo.navigation_event_parse_mouse_button_event to extract the details from the event.

`GstVideo.NavigationEventType.MOUSE_MOVE` (5) –

A mouse movement event. Use GstVideo.navigation_event_parse_mouse_move_event to extract the details from the event.

`GstVideo.NavigationEventType.COMMAND` (6) –

A navigation command event. Use GstVideo.navigation_event_parse_command to extract the details from the event.

`GstVideo.NavigationEventType.MOUSE_SCROLL` (7) –

A mouse scroll event. Use GstVideo.navigation_event_parse_mouse_scroll_event to extract the details from the event.

(Since: 1.18)
`GstVideo.NavigationEventType.TOUCH_DOWN` (8) –

An event describing a new touch point, which will be assigned an identifier that is unique to it for the duration of its movement on the screen. Use GstVideo.navigation_event_parse_touch_event to extract the details from the event.

(Since: 1.22)
`GstVideo.NavigationEventType.TOUCH_MOTION` (9) –

An event describing the movement of an active touch point across the screen. Use GstVideo.navigation_event_parse_touch_event to extract the details from the event.

(Since: 1.22)
`GstVideo.NavigationEventType.TOUCH_UP` (10) –

An event describing a removed touch point. After this event, its identifier may be reused for any new touch points. Use GstVideo.navigation_event_parse_touch_up_event to extract the details from the event.

(Since: 1.22)
`GstVideo.NavigationEventType.TOUCH_FRAME` (11) –

An event signaling the end of a sequence of simultaneous touch events.

(Since: 1.22)
`GstVideo.NavigationEventType.TOUCH_CANCEL` (12) –

An event cancelling all currently active touch points.

(Since: 1.22)
`GstVideo.NavigationEventType.MOUSE_DOUBLE_CLICK` (13) –

A mouse button double click event. Use GstVideo.navigation_event_parse_mouse_button_event to extract the details from the event.

(Since: 1.26)

### GstNavigationMessageType

A set of notifications that may be received on the bus when navigation related status changes.

##### Members

`GST_NAVIGATION_MESSAGE_INVALID` (0) –

Returned from gst_navigation_message_get_type when the passed message is not a navigation message.

`GST_NAVIGATION_MESSAGE_MOUSE_OVER` (1) –

Sent when the mouse moves over or leaves a clickable region of the output, such as a DVD menu button.

`GST_NAVIGATION_MESSAGE_COMMANDS_CHANGED` (2) –

Sent when the set of available commands changes and should re-queried by interested applications.

`GST_NAVIGATION_MESSAGE_ANGLES_CHANGED` (3) –

Sent when display angles in a multi-angle feature (such as a multiangle DVD) change - either angles have appeared or disappeared.

`GST_NAVIGATION_MESSAGE_EVENT` (4) –

Sent when a navigation event was not handled by any element in the pipeline (Since: 1.6)

### GstVideo.NavigationMessageType

A set of notifications that may be received on the bus when navigation related status changes.

##### Members

`GstVideo.NavigationMessageType.INVALID` (0) –

Returned from GstVideo.prototype.navigation_message_get_type when the passed message is not a navigation message.

`GstVideo.NavigationMessageType.MOUSE_OVER` (1) –

Sent when the mouse moves over or leaves a clickable region of the output, such as a DVD menu button.

`GstVideo.NavigationMessageType.COMMANDS_CHANGED` (2) –

Sent when the set of available commands changes and should re-queried by interested applications.

`GstVideo.NavigationMessageType.ANGLES_CHANGED` (3) –

Sent when display angles in a multi-angle feature (such as a multiangle DVD) change - either angles have appeared or disappeared.

`GstVideo.NavigationMessageType.EVENT` (4) –

Sent when a navigation event was not handled by any element in the pipeline (Since: 1.6)

### GstVideo.NavigationMessageType

A set of notifications that may be received on the bus when navigation related status changes.

##### Members

`GstVideo.NavigationMessageType.INVALID` (0) –

Returned from GstVideo.navigation_message_get_type when the passed message is not a navigation message.

`GstVideo.NavigationMessageType.MOUSE_OVER` (1) –

Sent when the mouse moves over or leaves a clickable region of the output, such as a DVD menu button.

`GstVideo.NavigationMessageType.COMMANDS_CHANGED` (2) –

Sent when the set of available commands changes and should re-queried by interested applications.

`GstVideo.NavigationMessageType.ANGLES_CHANGED` (3) –

Sent when display angles in a multi-angle feature (such as a multiangle DVD) change - either angles have appeared or disappeared.

`GstVideo.NavigationMessageType.EVENT` (4) –

Sent when a navigation event was not handled by any element in the pipeline (Since: 1.6)

### GstNavigationModifierType

Flags to indicate the state of modifier keys and mouse buttons in events.

Typical modifier keys are Shift, Control, Meta, Super, Hyper, Alt, Compose, Apple, CapsLock or ShiftLock.

##### Members

`GST_NAVIGATION_MODIFIER_NONE` (0) –
No description available
`GST_NAVIGATION_MODIFIER_SHIFT_MASK` (1) –

the Shift key.

`GST_NAVIGATION_MODIFIER_LOCK_MASK` (2) –
No description available
`GST_NAVIGATION_MODIFIER_CONTROL_MASK` (4) –

the Control key.

`GST_NAVIGATION_MODIFIER_MOD1_MASK` (8) –

the third modifier key

`GST_NAVIGATION_MODIFIER_MOD2_MASK` (16) –

the fourth modifier key

`GST_NAVIGATION_MODIFIER_MOD3_MASK` (32) –

the fifth modifier key

`GST_NAVIGATION_MODIFIER_MOD4_MASK` (64) –

the sixth modifier key

`GST_NAVIGATION_MODIFIER_MOD5_MASK` (128) –

the seventh modifier key

`GST_NAVIGATION_MODIFIER_BUTTON1_MASK` (256) –

the first mouse button (usually the left button).

`GST_NAVIGATION_MODIFIER_BUTTON2_MASK` (512) –

the second mouse button (usually the right button).

`GST_NAVIGATION_MODIFIER_BUTTON3_MASK` (1024) –

the third mouse button (usually the mouse wheel button or middle button).

`GST_NAVIGATION_MODIFIER_BUTTON4_MASK` (2048) –

the fourth mouse button (typically the "Back" button).

`GST_NAVIGATION_MODIFIER_BUTTON5_MASK` (4096) –

the fifth mouse button (typically the "forward" button).

`GST_NAVIGATION_MODIFIER_SUPER_MASK` (67108864) –

the Super modifier

`GST_NAVIGATION_MODIFIER_HYPER_MASK` (134217728) –

the Hyper modifier

`GST_NAVIGATION_MODIFIER_META_MASK` (268435456) –

the Meta modifier

`GST_NAVIGATION_MODIFIER_MASK` (469770239) –

A mask covering all entries in GdkModifierType.

Since : 1.22

### GstVideo.NavigationModifierType

Flags to indicate the state of modifier keys and mouse buttons in events.

Typical modifier keys are Shift, Control, Meta, Super, Hyper, Alt, Compose, Apple, CapsLock or ShiftLock.

##### Members

`GstVideo.NavigationModifierType.NONE` (0) –
No description available
`GstVideo.NavigationModifierType.SHIFT_MASK` (1) –

the Shift key.

`GstVideo.NavigationModifierType.LOCK_MASK` (2) –
No description available
`GstVideo.NavigationModifierType.CONTROL_MASK` (4) –

the Control key.

`GstVideo.NavigationModifierType.MOD1_MASK` (8) –

the third modifier key

`GstVideo.NavigationModifierType.MOD2_MASK` (16) –

the fourth modifier key

`GstVideo.NavigationModifierType.MOD3_MASK` (32) –

the fifth modifier key

`GstVideo.NavigationModifierType.MOD4_MASK` (64) –

the sixth modifier key

`GstVideo.NavigationModifierType.MOD5_MASK` (128) –

the seventh modifier key

`GstVideo.NavigationModifierType.BUTTON1_MASK` (256) –

the first mouse button (usually the left button).

`GstVideo.NavigationModifierType.BUTTON2_MASK` (512) –

the second mouse button (usually the right button).

`GstVideo.NavigationModifierType.BUTTON3_MASK` (1024) –

the third mouse button (usually the mouse wheel button or middle button).

`GstVideo.NavigationModifierType.BUTTON4_MASK` (2048) –

the fourth mouse button (typically the "Back" button).

`GstVideo.NavigationModifierType.BUTTON5_MASK` (4096) –

the fifth mouse button (typically the "forward" button).

`GstVideo.NavigationModifierType.SUPER_MASK` (67108864) –

the Super modifier

`GstVideo.NavigationModifierType.HYPER_MASK` (134217728) –

the Hyper modifier

`GstVideo.NavigationModifierType.META_MASK` (268435456) –

the Meta modifier

`GstVideo.NavigationModifierType.MASK` (469770239) –

A mask covering all entries in GdkModifierType (not introspectable).

Since : 1.22

### GstVideo.NavigationModifierType

Flags to indicate the state of modifier keys and mouse buttons in events.

Typical modifier keys are Shift, Control, Meta, Super, Hyper, Alt, Compose, Apple, CapsLock or ShiftLock.

##### Members

`GstVideo.NavigationModifierType.NONE` (0) –
No description available
`GstVideo.NavigationModifierType.SHIFT_MASK` (1) –

the Shift key.

`GstVideo.NavigationModifierType.LOCK_MASK` (2) –
No description available
`GstVideo.NavigationModifierType.CONTROL_MASK` (4) –

the Control key.

`GstVideo.NavigationModifierType.MOD1_MASK` (8) –

the third modifier key

`GstVideo.NavigationModifierType.MOD2_MASK` (16) –

the fourth modifier key

`GstVideo.NavigationModifierType.MOD3_MASK` (32) –

the fifth modifier key

`GstVideo.NavigationModifierType.MOD4_MASK` (64) –

the sixth modifier key

`GstVideo.NavigationModifierType.MOD5_MASK` (128) –

the seventh modifier key

`GstVideo.NavigationModifierType.BUTTON1_MASK` (256) –

the first mouse button (usually the left button).

`GstVideo.NavigationModifierType.BUTTON2_MASK` (512) –

the second mouse button (usually the right button).

`GstVideo.NavigationModifierType.BUTTON3_MASK` (1024) –

the third mouse button (usually the mouse wheel button or middle button).

`GstVideo.NavigationModifierType.BUTTON4_MASK` (2048) –

the fourth mouse button (typically the "Back" button).

`GstVideo.NavigationModifierType.BUTTON5_MASK` (4096) –

the fifth mouse button (typically the "forward" button).

`GstVideo.NavigationModifierType.SUPER_MASK` (67108864) –

the Super modifier

`GstVideo.NavigationModifierType.HYPER_MASK` (134217728) –

the Hyper modifier

`GstVideo.NavigationModifierType.META_MASK` (268435456) –

the Meta modifier

`GstVideo.NavigationModifierType.MASK` (469770239) –

A mask covering all entries in GdkModifierType (not introspectable).

Since : 1.22

### GstNavigationQueryType

Types of navigation interface queries.

##### Members

`GST_NAVIGATION_QUERY_INVALID` (0) –

invalid query

`GST_NAVIGATION_QUERY_COMMANDS` (1) –

command query

`GST_NAVIGATION_QUERY_ANGLES` (2) –

viewing angle query

### GstVideo.NavigationQueryType

Types of navigation interface queries.

##### Members

`GstVideo.NavigationQueryType.INVALID` (0) –

invalid query

`GstVideo.NavigationQueryType.COMMANDS` (1) –

command query

`GstVideo.NavigationQueryType.ANGLES` (2) –

viewing angle query

### GstVideo.NavigationQueryType

Types of navigation interface queries.

##### Members

`GstVideo.NavigationQueryType.INVALID` (0) –

invalid query

`GstVideo.NavigationQueryType.COMMANDS` (1) –

command query

`GstVideo.NavigationQueryType.ANGLES` (2) –

viewing angle query

## Constants

### GST_NAVIGATION_COMMAND_DVD_ANGLE_MENU

    #define GST_NAVIGATION_COMMAND_DVD_ANGLE_MENU      GST_NAVIGATION_COMMAND_MENU6

### GST_NAVIGATION_COMMAND_DVD_AUDIO_MENU

    #define GST_NAVIGATION_COMMAND_DVD_AUDIO_MENU      GST_NAVIGATION_COMMAND_MENU5

### GST_NAVIGATION_COMMAND_DVD_CHAPTER_MENU

    #define GST_NAVIGATION_COMMAND_DVD_CHAPTER_MENU    GST_NAVIGATION_COMMAND_MENU7

### GST_NAVIGATION_COMMAND_DVD_MENU

    #define GST_NAVIGATION_COMMAND_DVD_MENU            GST_NAVIGATION_COMMAND_MENU1

### GST_NAVIGATION_COMMAND_DVD_ROOT_MENU

    #define GST_NAVIGATION_COMMAND_DVD_ROOT_MENU       GST_NAVIGATION_COMMAND_MENU3

### GST_NAVIGATION_COMMAND_DVD_SUBPICTURE_MENU

    #define GST_NAVIGATION_COMMAND_DVD_SUBPICTURE_MENU GST_NAVIGATION_COMMAND_MENU4

### GST_NAVIGATION_COMMAND_DVD_TITLE_MENU

    #define GST_NAVIGATION_COMMAND_DVD_TITLE_MENU      GST_NAVIGATION_COMMAND_MENU2

### GST_TYPE_NAVIGATION

    #define GST_TYPE_NAVIGATION \
      (gst_navigation_get_type ())

The results of the search are